searchNodes=[{"doc":"high-level module providing a convenient and efficient interface for interacting with the Ethereum blockchain using Elixir. This module offers a simple API for common Ethereum operations such as deploying contracts, estimating gas, fetching current gas prices, and querying event logs.","ref":"Ethers.html","title":"Ethers","type":"module"},{"doc":"Returns the current gas price from the RPC API","ref":"Ethers.html#current_gas_price/0","title":"Ethers.current_gas_price/0","type":"function"},{"doc":"Deploys a contract to the blockchain. This will return the transaction hash for the deployment transaction. To get the address of your deployed contract, use Ethers.deployed_address/2 . To deploy a cotract you must have the binary related to it. It can either be a part of the ABI File you have or as a separate file. Parameters contract_module_or_binary: Either the contract module which was already loaded or the compiled binary of the contract. contract_init: Constructor value for contract deployment. Use CONTRACT_MODULE.constructor function's output. If your contract does not have a constructor, you can pass an empty binary here. params: Parameters for the transaction creating the contract. opts: RPC and account options.","ref":"Ethers.html#deploy/4","title":"Ethers.deploy/4","type":"function"},{"doc":"Returns the address of the deployed contract if the deployment is finished and successful Parameters tx_hash: Hash of the Transaction which created a contract. opts: RPC and account options.","ref":"Ethers.html#deployed_address/2","title":"Ethers.deployed_address/2","type":"function"},{"doc":"Estimates gas for a eth_call Parameters params opts: RPC and account options.","ref":"Ethers.html#estimate_gas/2","title":"Ethers.estimate_gas/2","type":"function"},{"doc":"Returns the event logs with the given filter","ref":"Ethers.html#get_logs/3","title":"Ethers.get_logs/3","type":"function"},{"doc":"Dynamically creates modules for ABIs at compile time. How to use You can simply create a new module and call use Ethers.Contract in it with the desired parameters. defmodule MyProject.Contract do use Ethers.Contract , abi_file : &quot;path/to/abi.json&quot; end After this, the functions in your contracts should be accessible just by calling data = MyProject.Contract . example_function ( ... ) # Use data to handle eth_call Ethers.Contract . call ( data , to : &quot;0xADDRESS&quot; , from : &quot;0xADDRESS&quot; ) { :ok , [ ... ] } Valid use options abi : Used to pass in the encoded/decoded json ABI of contract. abi_file : Used to pass in the file path to the json ABI of contract. default_address : Default contract deployed address. Can be overridden with :to option in every function. Execution Options These can be specified for all the actions by contracts. action : Type of action for this function. Here are available values. :call uses eth_call to call the function and get the result. Will not change blockchain state or cost gas. :send uses eth_sendTransaction to call :prepare only prepares the data needed to make a transaction. Useful for Multicall. from : The address of the wallet making this transaction. The private key should be loaded in the rpc server (For example: go-ethereum). Must be in &quot;0x...&quot; format. gas : The gas limit for your transaction. rpc_client : The RPC module implementing Ethereum JSON RPC functions. Defaults to Ethereumex.HttpClient rpc_opts : Options to pass to the RCP client e.g. :url . to : The address of the recipient contract. It will be defaulted to default_address if it was specified in Contract otherwise is required. Must be in &quot;0x...&quot; format.","ref":"Ethers.Contract.html","title":"Ethers.Contract","type":"module"},{"doc":"","ref":"Ethers.Contract.html#t:action/0","title":"Ethers.Contract.action/0","type":"type"},{"doc":"","ref":"Ethers.Contract.html#t:t_event_output/0","title":"Ethers.Contract.t_event_output/0","type":"type"},{"doc":"","ref":"Ethers.Contract.html#t:t_function_output/0","title":"Ethers.Contract.t_function_output/0","type":"type"},{"doc":"Ethereum Name Service (ENS) Resolver Contract","ref":"Ethers.Contracts.ENS.Resolver.html","title":"Ethers.Contracts.ENS.Resolver","type":"module"},{"doc":"Executes ABI(bytes32 node, uint256 contentTypes) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} contentTypes: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256} :bytes","ref":"Ethers.Contracts.ENS.Resolver.html#abi/3","title":"Ethers.Contracts.ENS.Resolver.abi/3","type":"function"},{"doc":"Same as abi/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#abi!/3","title":"Ethers.Contracts.ENS.Resolver.abi!/3","type":"function"},{"doc":"Executes addr(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ENS.Resolver.html#addr/2","title":"Ethers.Contracts.ENS.Resolver.addr/2","type":"function"},{"doc":"Executes addr(bytes32 node, uint256 coinType) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} coinType: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bytes","ref":"Ethers.Contracts.ENS.Resolver.html#addr/3","title":"Ethers.Contracts.ENS.Resolver.addr/3","type":"function"},{"doc":"Same as addr/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#addr!/2","title":"Ethers.Contracts.ENS.Resolver.addr!/2","type":"function"},{"doc":"Same as addr/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#addr!/3","title":"Ethers.Contracts.ENS.Resolver.addr!/3","type":"function"},{"doc":"Executes authorisations(bytes32 , address , address ) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters : {:bytes, 32} : :address : :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ENS.Resolver.html#authorisations/4","title":"Ethers.Contracts.ENS.Resolver.authorisations/4","type":"function"},{"doc":"Same as authorisations/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#authorisations!/4","title":"Ethers.Contracts.ENS.Resolver.authorisations!/4","type":"function"},{"doc":"Executes clearDNSZone(bytes32 node) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#clear_dns_zone/2","title":"Ethers.Contracts.ENS.Resolver.clear_dns_zone/2","type":"function"},{"doc":"Same as clear_dns_zone/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#clear_dns_zone!/2","title":"Ethers.Contracts.ENS.Resolver.clear_dns_zone!/2","type":"function"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters _ens: :address","ref":"Ethers.Contracts.ENS.Resolver.html#constructor/1","title":"Ethers.Contracts.ENS.Resolver.constructor/1","type":"function"},{"doc":"Executes contenthash(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bytes","ref":"Ethers.Contracts.ENS.Resolver.html#contenthash/2","title":"Ethers.Contracts.ENS.Resolver.contenthash/2","type":"function"},{"doc":"Same as contenthash/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#contenthash!/2","title":"Ethers.Contracts.ENS.Resolver.contenthash!/2","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ENS.Resolver.html#default_address/0","title":"Ethers.Contracts.ENS.Resolver.default_address/0","type":"function"},{"doc":"Executes dnsRecord(bytes32 node, bytes32 name, uint16 resource) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} name: {:bytes, 32} resource: {:uint, 16} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bytes","ref":"Ethers.Contracts.ENS.Resolver.html#dns_record/4","title":"Ethers.Contracts.ENS.Resolver.dns_record/4","type":"function"},{"doc":"Same as dns_record/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#dns_record!/4","title":"Ethers.Contracts.ENS.Resolver.dns_record!/4","type":"function"},{"doc":"Executes hasDNSRecords(bytes32 node, bytes32 name) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} name: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ENS.Resolver.html#has_dns_records/3","title":"Ethers.Contracts.ENS.Resolver.has_dns_records/3","type":"function"},{"doc":"Same as has_dns_records/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#has_dns_records!/3","title":"Ethers.Contracts.ENS.Resolver.has_dns_records!/3","type":"function"},{"doc":"Executes interfaceImplementer(bytes32 node, bytes4 interfaceID) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} interfaceID: {:bytes, 4} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ENS.Resolver.html#interface_implementer/3","title":"Ethers.Contracts.ENS.Resolver.interface_implementer/3","type":"function"},{"doc":"Same as interface_implementer/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#interface_implementer!/3","title":"Ethers.Contracts.ENS.Resolver.interface_implementer!/3","type":"function"},{"doc":"Executes multicall(bytes[] data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters data: {:array, :bytes} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types bytes: :array","ref":"Ethers.Contracts.ENS.Resolver.html#multicall/2","title":"Ethers.Contracts.ENS.Resolver.multicall/2","type":"function"},{"doc":"Same as multicall/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#multicall!/2","title":"Ethers.Contracts.ENS.Resolver.multicall!/2","type":"function"},{"doc":"Executes name(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ENS.Resolver.html#name/2","title":"Ethers.Contracts.ENS.Resolver.name/2","type":"function"},{"doc":"Same as name/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#name!/2","title":"Ethers.Contracts.ENS.Resolver.name!/2","type":"function"},{"doc":"Executes pubkey(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:bytes, 32} {:bytes, 32}","ref":"Ethers.Contracts.ENS.Resolver.html#pubkey/2","title":"Ethers.Contracts.ENS.Resolver.pubkey/2","type":"function"},{"doc":"Same as pubkey/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#pubkey!/2","title":"Ethers.Contracts.ENS.Resolver.pubkey!/2","type":"function"},{"doc":"Executes setABI(bytes32 node, uint256 contentType, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} contentType: {:uint, 256} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_abi/4","title":"Ethers.Contracts.ENS.Resolver.set_abi/4","type":"function"},{"doc":"Same as set_abi/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_abi!/4","title":"Ethers.Contracts.ENS.Resolver.set_abi!/4","type":"function"},{"doc":"Executes setAddr(bytes32 node, address a) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} a: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_addr/3","title":"Ethers.Contracts.ENS.Resolver.set_addr/3","type":"function"},{"doc":"Executes setAddr(bytes32 node, uint256 coinType, bytes a) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} coinType: {:uint, 256} a: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_addr/4","title":"Ethers.Contracts.ENS.Resolver.set_addr/4","type":"function"},{"doc":"Same as set_addr/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_addr!/3","title":"Ethers.Contracts.ENS.Resolver.set_addr!/3","type":"function"},{"doc":"Same as set_addr/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_addr!/4","title":"Ethers.Contracts.ENS.Resolver.set_addr!/4","type":"function"},{"doc":"Executes setAuthorisation(bytes32 node, address target, bool isAuthorised) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} target: :address isAuthorised: :bool overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_authorisation/4","title":"Ethers.Contracts.ENS.Resolver.set_authorisation/4","type":"function"},{"doc":"Same as set_authorisation/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_authorisation!/4","title":"Ethers.Contracts.ENS.Resolver.set_authorisation!/4","type":"function"},{"doc":"Executes setContenthash(bytes32 node, bytes hash) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} hash: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_contenthash/3","title":"Ethers.Contracts.ENS.Resolver.set_contenthash/3","type":"function"},{"doc":"Same as set_contenthash/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_contenthash!/3","title":"Ethers.Contracts.ENS.Resolver.set_contenthash!/3","type":"function"},{"doc":"Executes setDNSRecords(bytes32 node, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_dns_records/3","title":"Ethers.Contracts.ENS.Resolver.set_dns_records/3","type":"function"},{"doc":"Same as set_dns_records/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_dns_records!/3","title":"Ethers.Contracts.ENS.Resolver.set_dns_records!/3","type":"function"},{"doc":"Executes setInterface(bytes32 node, bytes4 interfaceID, address implementer) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} interfaceID: {:bytes, 4} implementer: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_interface/4","title":"Ethers.Contracts.ENS.Resolver.set_interface/4","type":"function"},{"doc":"Same as set_interface/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_interface!/4","title":"Ethers.Contracts.ENS.Resolver.set_interface!/4","type":"function"},{"doc":"Executes setName(bytes32 node, string name) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} name: :string overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_name/3","title":"Ethers.Contracts.ENS.Resolver.set_name/3","type":"function"},{"doc":"Same as set_name/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_name!/3","title":"Ethers.Contracts.ENS.Resolver.set_name!/3","type":"function"},{"doc":"Executes setPubkey(bytes32 node, bytes32 x, bytes32 y) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} x: {:bytes, 32} y: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_pubkey/4","title":"Ethers.Contracts.ENS.Resolver.set_pubkey/4","type":"function"},{"doc":"Same as set_pubkey/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_pubkey!/4","title":"Ethers.Contracts.ENS.Resolver.set_pubkey!/4","type":"function"},{"doc":"Executes setText(bytes32 node, string key, string value) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} key: :string value: :string overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.Resolver.html#set_text/4","title":"Ethers.Contracts.ENS.Resolver.set_text/4","type":"function"},{"doc":"Same as set_text/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#set_text!/4","title":"Ethers.Contracts.ENS.Resolver.set_text!/4","type":"function"},{"doc":"Executes supportsInterface(bytes4 interfaceID) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters interfaceID: {:bytes, 4} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ENS.Resolver.html#supports_interface/2","title":"Ethers.Contracts.ENS.Resolver.supports_interface/2","type":"function"},{"doc":"Same as supports_interface/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#supports_interface!/2","title":"Ethers.Contracts.ENS.Resolver.supports_interface!/2","type":"function"},{"doc":"Executes text(bytes32 node, string key) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} key: :string overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ENS.Resolver.html#text/3","title":"Ethers.Contracts.ENS.Resolver.text/3","type":"function"},{"doc":"Same as text/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.Resolver.html#text!/3","title":"Ethers.Contracts.ENS.Resolver.text!/3","type":"function"},{"doc":"Events for Ethers.Contracts.ENS.Resolver","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html","title":"Ethers.Contracts.ENS.Resolver.EventFilters","type":"module"},{"doc":"Create event filter for ABIChanged(bytes32 node, uint256 contentType) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} contentType: {:uint, 256} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} contentType: {:uint, 256}","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#abi_changed/3","title":"Ethers.Contracts.ENS.Resolver.EventFilters.abi_changed/3","type":"function"},{"doc":"Create event filter for AddrChanged(bytes32 node, address a) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} a: :address","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#addr_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.addr_changed/2","type":"function"},{"doc":"Create event filter for AddressChanged(bytes32 node, uint256 coinType, bytes newAddress) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} coinType: {:uint, 256} newAddress: :bytes","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#address_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.address_changed/2","type":"function"},{"doc":"Create event filter for AuthorisationChanged(bytes32 node, address owner, address target, bool isAuthorised) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} owner: :address target: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} owner: :address target: :address isAuthorised: :bool","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#authorisation_changed/4","title":"Ethers.Contracts.ENS.Resolver.EventFilters.authorisation_changed/4","type":"function"},{"doc":"Create event filter for ContenthashChanged(bytes32 node, bytes hash) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} hash: :bytes","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#contenthash_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.contenthash_changed/2","type":"function"},{"doc":"See Ethers.Contracts.ENS.Resolver.default_address/0 .","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#default_address/0","title":"Ethers.Contracts.ENS.Resolver.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for DNSRecordChanged(bytes32 node, bytes name, uint16 resource, bytes record) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} name: :bytes resource: {:uint, 16} record: :bytes","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#dns_record_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.dns_record_changed/2","type":"function"},{"doc":"Create event filter for DNSRecordDeleted(bytes32 node, bytes name, uint16 resource) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} name: :bytes resource: {:uint, 16}","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#dns_record_deleted/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.dns_record_deleted/2","type":"function"},{"doc":"Create event filter for DNSZoneCleared(bytes32 node) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32}","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#dns_zone_cleared/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.dns_zone_cleared/2","type":"function"},{"doc":"Create event filter for InterfaceChanged(bytes32 node, bytes4 interfaceID, address implementer) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} interfaceID: {:bytes, 4} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} interfaceID: {:bytes, 4} implementer: :address","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#interface_changed/3","title":"Ethers.Contracts.ENS.Resolver.EventFilters.interface_changed/3","type":"function"},{"doc":"Create event filter for NameChanged(bytes32 node, string name) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} name: :string","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#name_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.name_changed/2","type":"function"},{"doc":"Create event filter for PubkeyChanged(bytes32 node, bytes32 x, bytes32 y) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} x: {:bytes, 32} y: {:bytes, 32}","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#pubkey_changed/2","title":"Ethers.Contracts.ENS.Resolver.EventFilters.pubkey_changed/2","type":"function"},{"doc":"Create event filter for TextChanged(bytes32 node, string indexedKey, string key) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} indexedKey: :string overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} indexedKey: :string key: :string","ref":"Ethers.Contracts.ENS.Resolver.EventFilters.html#text_changed/3","title":"Ethers.Contracts.ENS.Resolver.EventFilters.text_changed/3","type":"function"},{"doc":"EVM Event struct and helpers","ref":"Ethers.Event.html","title":"Ethers.Event","type":"module"},{"doc":"Decodes a log entry with the given Event function selector and returns an Event struct","ref":"Ethers.Event.html#decode/2","title":"Ethers.Event.decode/2","type":"function"},{"doc":"","ref":"Ethers.Event.html#t:t/0","title":"Ethers.Event.t/0","type":"type"},{"doc":"Name Service resolution implementation","ref":"Ethers.NameService.html","title":"Ethers.NameService","type":"module"},{"doc":"Implementation of namehash function in Elixir. See https://docs.ens.domains/contract-api-reference/name-processing Examples iex&gt; Ethers.NameService . name_hash ( &quot;foo.eth&quot; ) Ethers.Utils . hex_decode! ( &quot;0xde9b09fd7c5f901e23a3f19fecc54828e9c848539801e86591bd9801b019f84f&quot; ) iex&gt; Ethers.NameService . name_hash ( &quot;alisina.eth&quot; ) Ethers.Utils . hex_decode! ( &quot;0x1b557b3901bef3a986febf001c3b19370b34064b130d49ea967bf150f6d23dfe&quot; )","ref":"Ethers.NameService.html#name_hash/1","title":"Ethers.NameService.name_hash/1","type":"function"},{"doc":"Resolves a name on blockchain. Parameters name: Domain name to resolve. (Example: foo.eth ) opts: Resolve options. to: Resolver contract address. Defaults to ENS Accepts all other Execution options from Ethers.Contract . Examples Ethers.NameService . resolve ( &quot;vitalik.eth&quot; ) { :ok , &quot;0xd8da6bf26964af9d7eed9e03e53415d37aa96045&quot; }","ref":"Ethers.NameService.html#resolve/2","title":"Ethers.NameService.resolve/2","type":"function"},{"doc":"Same as resolve/2 but raises on errors. Examples Ethers.NameService . resolve! ( &quot;vitalik.eth&quot; ) &quot;0xd8da6bf26964af9d7eed9e03e53415d37aa96045&quot;","ref":"Ethers.NameService.html#resolve!/2","title":"Ethers.NameService.resolve!/2","type":"function"},{"doc":"RPC Methods for interacting with the Ethereum blockchain","ref":"Ethers.RPC.html","title":"Ethers.RPC","type":"module"},{"doc":"Makes an eth_call to with the given data and overrides, Than parses the response using the selector in the params Overrides This function accepts all of options which Ethereumex.BaseClient.eth_send_transaction accepts. Notable you can use these. :to : Indicates recepient address. (Contract address in this case) Options :block : The block number or block alias. Defaults to latest :rpc_client : The RPC Client to use. It should implement ethereum jsonRPC API. default: Ethereumex.HttpClient :rpc_opts : Extra options to pass to rpc_client. (Like timeout, Server URL, etc.) Examples iex&gt; Ethers.Contract.ERC20 . total_supply ( ) |&gt; Ethers.Contract . call ( to : &quot;0xa0b...ef6&quot; ) { :ok , [ 100000000000000 ] }","ref":"Ethers.RPC.html#call/3","title":"Ethers.RPC.call/3","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_call/3","title":"Ethers.RPC.eth_call/3","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_estimate_gas/2","title":"Ethers.RPC.eth_estimate_gas/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_gas_price/1","title":"Ethers.RPC.eth_gas_price/1","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_get_logs/2","title":"Ethers.RPC.eth_get_logs/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_get_transaction_receipt/2","title":"Ethers.RPC.eth_get_transaction_receipt/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_send_transaction/2","title":"Ethers.RPC.eth_send_transaction/2","type":"function"},{"doc":"Makes an eth_send to with the given data and overrides, Then returns the transaction binary. Overrides This function accepts all of options which Ethereumex.BaseClient.eth_send_transaction accepts. Notable you can use these. :to : Indicates recepient address. (Contract address in this case) Options :rpc_client : The RPC Client to use. It should implement ethereum jsonRPC API. default: Ethereumex.HttpClient :rpc_opts : Extra options to pass to rpc_client. (Like timeout, Server URL, etc.) Examples iex&gt; Ethers.Contract.ERC20 . transfer ( &quot;0xff0...ea2&quot; , 1000 ) |&gt; Ethers.Contract . send ( to : &quot;0xa0b...ef6&quot; ) { :ok , transaction_bin }","ref":"Ethers.RPC.html#send/3","title":"Ethers.RPC.send/3","type":"function"},{"doc":"EVM types and compound type definitions","ref":"Ethers.Types.html","title":"Ethers.Types","type":"module"},{"doc":"Returns the default value in the given type if supported. Examples iex&gt; Ethers.Types . default ( :address ) &quot;0x0000000000000000000000000000000000000000&quot; iex&gt; Ethers.Types . default ( { :int , 32 } ) 0 iex&gt; Ethers.Types . default ( { :uint , 8 } ) 0 iex&gt; Ethers.Types . default ( { :int , 128 } ) 0 iex&gt; Ethers.Types . default ( :string ) &quot;&quot; iex&gt; Ethers.Types . default ( :bytes ) &quot;&quot; iex&gt; Ethers.Types . default ( { :bytes , 8 } ) &lt;&lt; 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 &gt;&gt;","ref":"Ethers.Types.html#default/1","title":"Ethers.Types.default/1","type":"function"},{"doc":"Returns the maximum possible value in the given type if supported. Examples iex&gt; Ethers.Types . max ( { :uint , 8 } ) 255 iex&gt; Ethers.Types . max ( { :int , 8 } ) 127 iex&gt; Ethers.Types . max ( { :uint , 16 } ) 65535 iex&gt; Ethers.Types . max ( { :int , 16 } ) 32767","ref":"Ethers.Types.html#max/1","title":"Ethers.Types.max/1","type":"function"},{"doc":"Returns the minimum possible value in the given type if supported. Examples iex&gt; Ethers.Types . min ( { :uint , 8 } ) 0 iex&gt; Ethers.Types . min ( { :int , 8 } ) - 128 iex&gt; Ethers.Types . min ( { :uint , 16 } ) 0 iex&gt; Ethers.Types . min ( { :int , 16 } ) - 32768","ref":"Ethers.Types.html#min/1","title":"Ethers.Types.min/1","type":"function"},{"doc":"Converts EVM data types to typespecs for documentation","ref":"Ethers.Types.html#to_elixir_type/1","title":"Ethers.Types.to_elixir_type/1","type":"function"},{"doc":"Ethereum address in its hex format with 0x or in its binary format Examples &quot;0xdAC17F958D2ee523a2206206994597C13D831ec7&quot; &lt;&lt;218, 193, 127, 149, 141, 46, 229, 35, 162, 32, 98, 6, 153, 69, 151, 193, 61, 131, 30, 199&gt;&gt;","ref":"Ethers.Types.html#t:t_address/0","title":"Ethers.Types.t_address/0","type":"type"},{"doc":"keccak hash in its hex format with 0x Examples &quot;0xd4288c8e733eb71a39fe2e8dd4912ce54d8d26d9874f30309b26b4b071260422&quot;","ref":"Ethers.Types.html#t:t_hash/0","title":"Ethers.Types.t_hash/0","type":"type"},{"doc":"Utilities for interacting with ethereum blockchain","ref":"Ethers.Utils.html","title":"Ethers.Utils","type":"module"},{"doc":"Convert WEI to ETH Examples iex&gt; Ethers.Utils . from_wei ( 1000000000000000000 ) 1.0 iex&gt; Ethers.Utils . from_wei ( 3140000000000000000 ) 3.14","ref":"Ethers.Utils.html#from_wei/1","title":"Ethers.Utils.from_wei/1","type":"function"},{"doc":"Decode from hex with (or without) 0x prefix. Examples iex&gt; Ethers.Utils . hex_decode ( &quot;0x6574686572735f6578&quot; ) { :ok , &quot;ethers_ex&quot; } iex&gt; Ethers.Utils . hex_decode ( &quot;6574686572735f6578&quot; ) { :ok , &quot;ethers_ex&quot; }","ref":"Ethers.Utils.html#hex_decode/1","title":"Ethers.Utils.hex_decode/1","type":"function"},{"doc":"Same as hex_decode/1 but raises on error Examples iex&gt; Ethers.Utils . hex_decode! ( &quot;0x6574686572735f6578&quot; ) &quot;ethers_ex&quot; iex&gt; Ethers.Utils . hex_decode! ( &quot;6574686572735f6578&quot; ) &quot;ethers_ex&quot;","ref":"Ethers.Utils.html#hex_decode!/1","title":"Ethers.Utils.hex_decode!/1","type":"function"},{"doc":"Encode to hex with 0x prefix. Examples iex&gt; Ethers.Utils . hex_encode ( &quot;ethers_ex&quot; ) &quot;0x6574686572735f6578&quot;","ref":"Ethers.Utils.html#hex_encode/2","title":"Ethers.Utils.hex_encode/2","type":"function"},{"doc":"Converts a hexadecimal integer to integer form Examples iex&gt; Ethers.Utils . hex_to_integer ( &quot;0x11111&quot; ) { :ok , 69905 }","ref":"Ethers.Utils.html#hex_to_integer/1","title":"Ethers.Utils.hex_to_integer/1","type":"function"},{"doc":"Same as hex_to_integer/1 but raises on error Examples iex&gt; Ethers.Utils . hex_to_integer! ( &quot;0x11111&quot; ) 69905","ref":"Ethers.Utils.html#hex_to_integer!/1","title":"Ethers.Utils.hex_to_integer!/1","type":"function"},{"doc":"Reverse of prepare_arg/2 Examples iex&gt; Ethers.Utils . human_arg ( &lt;&lt; 192 , 42 , 170 , 57 , 178 , 35 , 254 , 141 , 10 , 14 , 92 , 79 , 39 , ...&gt; 234 , 217 , 8 , 60 , 117 , 108 , 194 &gt;&gt; , :address ) &quot;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2&quot;","ref":"Ethers.Utils.html#human_arg/2","title":"Ethers.Utils.human_arg/2","type":"function"},{"doc":"Converts integer to its hexadecimal form Examples iex&gt; Ethers.Utils . integer_to_hex ( 69905 ) &quot;0x11111&quot;","ref":"Ethers.Utils.html#integer_to_hex/1","title":"Ethers.Utils.integer_to_hex/1","type":"function"},{"doc":"Adds gas limit estimation to the parameters if not already exists","ref":"Ethers.Utils.html#maybe_add_gas_limit/2","title":"Ethers.Utils.maybe_add_gas_limit/2","type":"function"},{"doc":"Converts human readable argument to the form required for ABI encoding. For example the addresses in Ethereum are represented by hex strings in human readable format but are in 160-bit binaries in ABI form. Examples iex&gt; Ethers.Utils . prepare_arg ( &quot;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2&quot; , :address ) &lt;&lt; 192 , 42 , 170 , 57 , 178 , 35 , 254 , 141 , 10 , 14 , 92 , 79 , 39 , 234 , 217 , 8 , 60 , 117 , 108 , 194 &gt;&gt;","ref":"Ethers.Utils.html#prepare_arg/2","title":"Ethers.Utils.prepare_arg/2","type":"function"},{"doc":"Converts ETH to WEI Examples iex&gt; Ethers.Utils . to_wei ( 1 ) 1000000000000000000 iex&gt; Ethers.Utils . to_wei ( 3.14 ) 3140000000000000000","ref":"Ethers.Utils.html#to_wei/1","title":"Ethers.Utils.to_wei/1","type":"function"},{"doc":"Ethereum Name Service (ENS) Contract","ref":"Ethers.Contracts.ENS.html","title":"Ethers.Contracts.ENS","type":"module"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters _old: :address","ref":"Ethers.Contracts.ENS.html#constructor/1","title":"Ethers.Contracts.ENS.constructor/1","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ENS.html#default_address/0","title":"Ethers.Contracts.ENS.default_address/0","type":"function"},{"doc":"Executes isApprovedForAll(address owner, address operator) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters owner: :address operator: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ENS.html#is_approved_for_all/3","title":"Ethers.Contracts.ENS.is_approved_for_all/3","type":"function"},{"doc":"Same as is_approved_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#is_approved_for_all!/3","title":"Ethers.Contracts.ENS.is_approved_for_all!/3","type":"function"},{"doc":"Executes old() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ENS.html#old/1","title":"Ethers.Contracts.ENS.old/1","type":"function"},{"doc":"Same as old/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#old!/1","title":"Ethers.Contracts.ENS.old!/1","type":"function"},{"doc":"Executes owner(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ENS.html#owner/2","title":"Ethers.Contracts.ENS.owner/2","type":"function"},{"doc":"Same as owner/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#owner!/2","title":"Ethers.Contracts.ENS.owner!/2","type":"function"},{"doc":"Executes recordExists(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ENS.html#record_exists/2","title":"Ethers.Contracts.ENS.record_exists/2","type":"function"},{"doc":"Same as record_exists/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#record_exists!/2","title":"Ethers.Contracts.ENS.record_exists!/2","type":"function"},{"doc":"Executes resolver(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ENS.html#resolver/2","title":"Ethers.Contracts.ENS.resolver/2","type":"function"},{"doc":"Same as resolver/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#resolver!/2","title":"Ethers.Contracts.ENS.resolver!/2","type":"function"},{"doc":"Executes setApprovalForAll(address operator, bool approved) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address approved: :bool overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_approval_for_all/3","title":"Ethers.Contracts.ENS.set_approval_for_all/3","type":"function"},{"doc":"Same as set_approval_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_approval_for_all!/3","title":"Ethers.Contracts.ENS.set_approval_for_all!/3","type":"function"},{"doc":"Executes setOwner(bytes32 node, address owner) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} owner: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_owner/3","title":"Ethers.Contracts.ENS.set_owner/3","type":"function"},{"doc":"Same as set_owner/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_owner!/3","title":"Ethers.Contracts.ENS.set_owner!/3","type":"function"},{"doc":"Executes setRecord(bytes32 node, address owner, address resolver, uint64 ttl) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} owner: :address resolver: :address ttl: {:uint, 64} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_record/5","title":"Ethers.Contracts.ENS.set_record/5","type":"function"},{"doc":"Same as set_record/5 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_record!/5","title":"Ethers.Contracts.ENS.set_record!/5","type":"function"},{"doc":"Executes setResolver(bytes32 node, address resolver) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} resolver: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_resolver/3","title":"Ethers.Contracts.ENS.set_resolver/3","type":"function"},{"doc":"Same as set_resolver/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_resolver!/3","title":"Ethers.Contracts.ENS.set_resolver!/3","type":"function"},{"doc":"Executes setSubnodeOwner(bytes32 node, bytes32 label, address owner) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} label: {:bytes, 32} owner: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:bytes, 32}","ref":"Ethers.Contracts.ENS.html#set_subnode_owner/4","title":"Ethers.Contracts.ENS.set_subnode_owner/4","type":"function"},{"doc":"Same as set_subnode_owner/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_subnode_owner!/4","title":"Ethers.Contracts.ENS.set_subnode_owner!/4","type":"function"},{"doc":"Executes setSubnodeRecord(bytes32 node, bytes32 label, address owner, address resolver, uint64 ttl) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} label: {:bytes, 32} owner: :address resolver: :address ttl: {:uint, 64} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_subnode_record/6","title":"Ethers.Contracts.ENS.set_subnode_record/6","type":"function"},{"doc":"Same as set_subnode_record/6 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_subnode_record!/6","title":"Ethers.Contracts.ENS.set_subnode_record!/6","type":"function"},{"doc":"Executes setTTL(bytes32 node, uint64 ttl) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} ttl: {:uint, 64} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ENS.html#set_ttl/3","title":"Ethers.Contracts.ENS.set_ttl/3","type":"function"},{"doc":"Same as set_ttl/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#set_ttl!/3","title":"Ethers.Contracts.ENS.set_ttl!/3","type":"function"},{"doc":"Executes ttl(bytes32 node) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters node: {:bytes, 32} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 64}","ref":"Ethers.Contracts.ENS.html#ttl/2","title":"Ethers.Contracts.ENS.ttl/2","type":"function"},{"doc":"Same as ttl/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ENS.html#ttl!/2","title":"Ethers.Contracts.ENS.ttl!/2","type":"function"},{"doc":"ERC1155 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-1155/","ref":"Ethers.Contracts.ERC1155.html","title":"Ethers.Contracts.ERC1155","type":"module"},{"doc":"Executes balanceOf(address account, uint256 id) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters account: :address id: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC1155.html#balance_of/3","title":"Ethers.Contracts.ERC1155.balance_of/3","type":"function"},{"doc":"Same as balance_of/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#balance_of!/3","title":"Ethers.Contracts.ERC1155.balance_of!/3","type":"function"},{"doc":"Executes balanceOfBatch(address[] accounts, uint256[] ids) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters accounts: {:array, :address} ids: {:array, {:uint, 256}} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:array, {:uint, 256}}","ref":"Ethers.Contracts.ERC1155.html#balance_of_batch/3","title":"Ethers.Contracts.ERC1155.balance_of_batch/3","type":"function"},{"doc":"Same as balance_of_batch/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#balance_of_batch!/3","title":"Ethers.Contracts.ERC1155.balance_of_batch!/3","type":"function"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters","ref":"Ethers.Contracts.ERC1155.html#constructor/0","title":"Ethers.Contracts.ERC1155.constructor/0","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ERC1155.html#default_address/0","title":"Ethers.Contracts.ERC1155.default_address/0","type":"function"},{"doc":"Executes isApprovedForAll(address account, address operator) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters account: :address operator: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC1155.html#is_approved_for_all/3","title":"Ethers.Contracts.ERC1155.is_approved_for_all/3","type":"function"},{"doc":"Same as is_approved_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#is_approved_for_all!/3","title":"Ethers.Contracts.ERC1155.is_approved_for_all!/3","type":"function"},{"doc":"Executes safeBatchTransferFrom(address from, address to, uint256[] ids, uint256[] amounts, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters from: :address to: :address ids: {:array, {:uint, 256}} amounts: {:array, {:uint, 256}} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC1155.html#safe_batch_transfer_from/6","title":"Ethers.Contracts.ERC1155.safe_batch_transfer_from/6","type":"function"},{"doc":"Same as safe_batch_transfer_from/6 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#safe_batch_transfer_from!/6","title":"Ethers.Contracts.ERC1155.safe_batch_transfer_from!/6","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 id, uint256 amount, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters from: :address to: :address id: {:uint, 256} amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC1155.html#safe_transfer_from/6","title":"Ethers.Contracts.ERC1155.safe_transfer_from/6","type":"function"},{"doc":"Same as safe_transfer_from/6 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#safe_transfer_from!/6","title":"Ethers.Contracts.ERC1155.safe_transfer_from!/6","type":"function"},{"doc":"Executes setApprovalForAll(address operator, bool approved) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address approved: :bool overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC1155.html#set_approval_for_all/3","title":"Ethers.Contracts.ERC1155.set_approval_for_all/3","type":"function"},{"doc":"Same as set_approval_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#set_approval_for_all!/3","title":"Ethers.Contracts.ERC1155.set_approval_for_all!/3","type":"function"},{"doc":"Executes supportsInterface(bytes4 interfaceId) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters interfaceId: {:bytes, 4} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC1155.html#supports_interface/2","title":"Ethers.Contracts.ERC1155.supports_interface/2","type":"function"},{"doc":"Same as supports_interface/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#supports_interface!/2","title":"Ethers.Contracts.ERC1155.supports_interface!/2","type":"function"},{"doc":"Executes uri(uint256 id) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters id: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC1155.html#uri/2","title":"Ethers.Contracts.ERC1155.uri/2","type":"function"},{"doc":"Same as uri/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC1155.html#uri!/2","title":"Ethers.Contracts.ERC1155.uri!/2","type":"function"},{"doc":"ERC20 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-20/","ref":"Ethers.Contracts.ERC20.html","title":"Ethers.Contracts.ERC20","type":"module"},{"doc":"Executes allowance(address _owner, address _spender) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters _owner: :address _spender: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC20.html#allowance/3","title":"Ethers.Contracts.ERC20.allowance/3","type":"function"},{"doc":"Same as allowance/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#allowance!/3","title":"Ethers.Contracts.ERC20.allowance!/3","type":"function"},{"doc":"Executes approve(address _spender, uint256 _value) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters _spender: :address _value: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC20.html#approve/3","title":"Ethers.Contracts.ERC20.approve/3","type":"function"},{"doc":"Same as approve/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#approve!/3","title":"Ethers.Contracts.ERC20.approve!/3","type":"function"},{"doc":"Executes balanceOf(address _owner) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters _owner: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC20.html#balance_of/2","title":"Ethers.Contracts.ERC20.balance_of/2","type":"function"},{"doc":"Same as balance_of/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#balance_of!/2","title":"Ethers.Contracts.ERC20.balance_of!/2","type":"function"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters","ref":"Ethers.Contracts.ERC20.html#constructor/0","title":"Ethers.Contracts.ERC20.constructor/0","type":"function"},{"doc":"Executes decimals() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 8}","ref":"Ethers.Contracts.ERC20.html#decimals/1","title":"Ethers.Contracts.ERC20.decimals/1","type":"function"},{"doc":"Same as decimals/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#decimals!/1","title":"Ethers.Contracts.ERC20.decimals!/1","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ERC20.html#default_address/0","title":"Ethers.Contracts.ERC20.default_address/0","type":"function"},{"doc":"Executes name() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC20.html#name/1","title":"Ethers.Contracts.ERC20.name/1","type":"function"},{"doc":"Same as name/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#name!/1","title":"Ethers.Contracts.ERC20.name!/1","type":"function"},{"doc":"Executes symbol() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC20.html#symbol/1","title":"Ethers.Contracts.ERC20.symbol/1","type":"function"},{"doc":"Same as symbol/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#symbol!/1","title":"Ethers.Contracts.ERC20.symbol!/1","type":"function"},{"doc":"Executes totalSupply() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC20.html#total_supply/1","title":"Ethers.Contracts.ERC20.total_supply/1","type":"function"},{"doc":"Same as total_supply/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#total_supply!/1","title":"Ethers.Contracts.ERC20.total_supply!/1","type":"function"},{"doc":"Executes transfer(address _to, uint256 _value) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters _to: :address _value: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC20.html#transfer/3","title":"Ethers.Contracts.ERC20.transfer/3","type":"function"},{"doc":"Same as transfer/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#transfer!/3","title":"Ethers.Contracts.ERC20.transfer!/3","type":"function"},{"doc":"Executes transferFrom(address _from, address _to, uint256 _value) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters _from: :address _to: :address _value: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC20.html#transfer_from/4","title":"Ethers.Contracts.ERC20.transfer_from/4","type":"function"},{"doc":"Same as transfer_from/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC20.html#transfer_from!/4","title":"Ethers.Contracts.ERC20.transfer_from!/4","type":"function"},{"doc":"ERC721 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-721/","ref":"Ethers.Contracts.ERC721.html","title":"Ethers.Contracts.ERC721","type":"module"},{"doc":"Executes approve(address to, uint256 tokenId) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC721.html#approve/3","title":"Ethers.Contracts.ERC721.approve/3","type":"function"},{"doc":"Same as approve/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#approve!/3","title":"Ethers.Contracts.ERC721.approve!/3","type":"function"},{"doc":"Executes balanceOf(address owner) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters owner: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC721.html#balance_of/2","title":"Ethers.Contracts.ERC721.balance_of/2","type":"function"},{"doc":"Same as balance_of/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#balance_of!/2","title":"Ethers.Contracts.ERC721.balance_of!/2","type":"function"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters","ref":"Ethers.Contracts.ERC721.html#constructor/0","title":"Ethers.Contracts.ERC721.constructor/0","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ERC721.html#default_address/0","title":"Ethers.Contracts.ERC721.default_address/0","type":"function"},{"doc":"Executes getApproved(uint256 tokenId) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ERC721.html#get_approved/2","title":"Ethers.Contracts.ERC721.get_approved/2","type":"function"},{"doc":"Same as get_approved/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#get_approved!/2","title":"Ethers.Contracts.ERC721.get_approved!/2","type":"function"},{"doc":"Executes isApprovedForAll(address owner, address operator) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters owner: :address operator: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC721.html#is_approved_for_all/3","title":"Ethers.Contracts.ERC721.is_approved_for_all/3","type":"function"},{"doc":"Same as is_approved_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#is_approved_for_all!/3","title":"Ethers.Contracts.ERC721.is_approved_for_all!/3","type":"function"},{"doc":"Executes name() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC721.html#name/1","title":"Ethers.Contracts.ERC721.name/1","type":"function"},{"doc":"Same as name/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#name!/1","title":"Ethers.Contracts.ERC721.name!/1","type":"function"},{"doc":"Executes ownerOf(uint256 tokenId) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :address","ref":"Ethers.Contracts.ERC721.html#owner_of/2","title":"Ethers.Contracts.ERC721.owner_of/2","type":"function"},{"doc":"Same as owner_of/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#owner_of!/2","title":"Ethers.Contracts.ERC721.owner_of!/2","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 tokenId) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC721.html#safe_transfer_from/4","title":"Ethers.Contracts.ERC721.safe_transfer_from/4","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 tokenId, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters from: :address to: :address tokenId: {:uint, 256} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC721.html#safe_transfer_from/5","title":"Ethers.Contracts.ERC721.safe_transfer_from/5","type":"function"},{"doc":"Same as safe_transfer_from/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#safe_transfer_from!/4","title":"Ethers.Contracts.ERC721.safe_transfer_from!/4","type":"function"},{"doc":"Same as safe_transfer_from/5 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#safe_transfer_from!/5","title":"Ethers.Contracts.ERC721.safe_transfer_from!/5","type":"function"},{"doc":"Executes setApprovalForAll(address operator, bool _approved) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address _approved: :bool overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC721.html#set_approval_for_all/3","title":"Ethers.Contracts.ERC721.set_approval_for_all/3","type":"function"},{"doc":"Same as set_approval_for_all/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#set_approval_for_all!/3","title":"Ethers.Contracts.ERC721.set_approval_for_all!/3","type":"function"},{"doc":"Executes supportsInterface(bytes4 interfaceId) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters interfaceId: {:bytes, 4} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC721.html#supports_interface/2","title":"Ethers.Contracts.ERC721.supports_interface/2","type":"function"},{"doc":"Same as supports_interface/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#supports_interface!/2","title":"Ethers.Contracts.ERC721.supports_interface!/2","type":"function"},{"doc":"Executes symbol() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC721.html#symbol/1","title":"Ethers.Contracts.ERC721.symbol/1","type":"function"},{"doc":"Same as symbol/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#symbol!/1","title":"Ethers.Contracts.ERC721.symbol!/1","type":"function"},{"doc":"Executes tokenURI(uint256 tokenId) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC721.html#token_uri/2","title":"Ethers.Contracts.ERC721.token_uri/2","type":"function"},{"doc":"Same as token_uri/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#token_uri!/2","title":"Ethers.Contracts.ERC721.token_uri!/2","type":"function"},{"doc":"Executes totalSupply() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC721.html#total_supply/1","title":"Ethers.Contracts.ERC721.total_supply/1","type":"function"},{"doc":"Same as total_supply/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#total_supply!/1","title":"Ethers.Contracts.ERC721.total_supply!/1","type":"function"},{"doc":"Executes transferFrom(address from, address to, uint256 tokenId) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC721.html#transfer_from/4","title":"Ethers.Contracts.ERC721.transfer_from/4","type":"function"},{"doc":"Same as transfer_from/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC721.html#transfer_from!/4","title":"Ethers.Contracts.ERC721.transfer_from!/4","type":"function"},{"doc":"ERC777 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-777/","ref":"Ethers.Contracts.ERC777.html","title":"Ethers.Contracts.ERC777","type":"module"},{"doc":"Executes allowance(address holder, address spender) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters holder: :address spender: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC777.html#allowance/3","title":"Ethers.Contracts.ERC777.allowance/3","type":"function"},{"doc":"Same as allowance/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#allowance!/3","title":"Ethers.Contracts.ERC777.allowance!/3","type":"function"},{"doc":"Executes approve(address spender, uint256 value) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters spender: :address value: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC777.html#approve/3","title":"Ethers.Contracts.ERC777.approve/3","type":"function"},{"doc":"Same as approve/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#approve!/3","title":"Ethers.Contracts.ERC777.approve!/3","type":"function"},{"doc":"Executes authorizeOperator(address operator) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#authorize_operator/2","title":"Ethers.Contracts.ERC777.authorize_operator/2","type":"function"},{"doc":"Same as authorize_operator/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#authorize_operator!/2","title":"Ethers.Contracts.ERC777.authorize_operator!/2","type":"function"},{"doc":"Executes balanceOf(address tokenHolder) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters tokenHolder: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC777.html#balance_of/2","title":"Ethers.Contracts.ERC777.balance_of/2","type":"function"},{"doc":"Same as balance_of/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#balance_of!/2","title":"Ethers.Contracts.ERC777.balance_of!/2","type":"function"},{"doc":"Executes burn(uint256 amount, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#burn/3","title":"Ethers.Contracts.ERC777.burn/3","type":"function"},{"doc":"Same as burn/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#burn!/3","title":"Ethers.Contracts.ERC777.burn!/3","type":"function"},{"doc":"Prepares contract constructor values. To deploy a contracts see Ethers.deploy/3 . Parameters name_: :string symbol_: :string defaultOperators_: {:array, :address}","ref":"Ethers.Contracts.ERC777.html#constructor/3","title":"Ethers.Contracts.ERC777.constructor/3","type":"function"},{"doc":"Executes decimals() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 8}","ref":"Ethers.Contracts.ERC777.html#decimals/1","title":"Ethers.Contracts.ERC777.decimals/1","type":"function"},{"doc":"Same as decimals/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#decimals!/1","title":"Ethers.Contracts.ERC777.decimals!/1","type":"function"},{"doc":"Default address of the contract. Returns nil if not specified. To specify a default address see Ethers.Contract","ref":"Ethers.Contracts.ERC777.html#default_address/0","title":"Ethers.Contracts.ERC777.default_address/0","type":"function"},{"doc":"Executes defaultOperators() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types address: :array","ref":"Ethers.Contracts.ERC777.html#default_operators/1","title":"Ethers.Contracts.ERC777.default_operators/1","type":"function"},{"doc":"Same as default_operators/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#default_operators!/1","title":"Ethers.Contracts.ERC777.default_operators!/1","type":"function"},{"doc":"Executes granularity() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC777.html#granularity/1","title":"Ethers.Contracts.ERC777.granularity/1","type":"function"},{"doc":"Same as granularity/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#granularity!/1","title":"Ethers.Contracts.ERC777.granularity!/1","type":"function"},{"doc":"Executes isOperatorFor(address operator, address tokenHolder) on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC777.html#is_operator_for/3","title":"Ethers.Contracts.ERC777.is_operator_for/3","type":"function"},{"doc":"Same as is_operator_for/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#is_operator_for!/3","title":"Ethers.Contracts.ERC777.is_operator_for!/3","type":"function"},{"doc":"Executes name() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC777.html#name/1","title":"Ethers.Contracts.ERC777.name/1","type":"function"},{"doc":"Same as name/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#name!/1","title":"Ethers.Contracts.ERC777.name!/1","type":"function"},{"doc":"Executes operatorBurn(address account, uint256 amount, bytes data, bytes operatorData) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters account: :address amount: {:uint, 256} data: :bytes operatorData: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#operator_burn/5","title":"Ethers.Contracts.ERC777.operator_burn/5","type":"function"},{"doc":"Same as operator_burn/5 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#operator_burn!/5","title":"Ethers.Contracts.ERC777.operator_burn!/5","type":"function"},{"doc":"Executes operatorSend(address sender, address recipient, uint256 amount, bytes data, bytes operatorData) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters sender: :address recipient: :address amount: {:uint, 256} data: :bytes operatorData: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#operator_send/6","title":"Ethers.Contracts.ERC777.operator_send/6","type":"function"},{"doc":"Same as operator_send/6 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#operator_send!/6","title":"Ethers.Contracts.ERC777.operator_send!/6","type":"function"},{"doc":"Executes revokeOperator(address operator) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters operator: :address overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#revoke_operator/2","title":"Ethers.Contracts.ERC777.revoke_operator/2","type":"function"},{"doc":"Same as revoke_operator/2 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#revoke_operator!/2","title":"Ethers.Contracts.ERC777.revoke_operator!/2","type":"function"},{"doc":"Executes send(address recipient, uint256 amount, bytes data) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters recipient: :address amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types","ref":"Ethers.Contracts.ERC777.html#send/4","title":"Ethers.Contracts.ERC777.send/4","type":"function"},{"doc":"Same as send/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#send!/4","title":"Ethers.Contracts.ERC777.send!/4","type":"function"},{"doc":"Executes symbol() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :string","ref":"Ethers.Contracts.ERC777.html#symbol/1","title":"Ethers.Contracts.ERC777.symbol/1","type":"function"},{"doc":"Same as symbol/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#symbol!/1","title":"Ethers.Contracts.ERC777.symbol!/1","type":"function"},{"doc":"Executes totalSupply() on the contract. Default action for this function is :call . To override default action see Execution Options in Ethers.Contract . Parameters overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types {:uint, 256}","ref":"Ethers.Contracts.ERC777.html#total_supply/1","title":"Ethers.Contracts.ERC777.total_supply/1","type":"function"},{"doc":"Same as total_supply/1 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#total_supply!/1","title":"Ethers.Contracts.ERC777.total_supply!/1","type":"function"},{"doc":"Executes transfer(address recipient, uint256 amount) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters recipient: :address amount: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC777.html#transfer/3","title":"Ethers.Contracts.ERC777.transfer/3","type":"function"},{"doc":"Same as transfer/3 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#transfer!/3","title":"Ethers.Contracts.ERC777.transfer!/3","type":"function"},{"doc":"Executes transferFrom(address holder, address recipient, uint256 amount) on the contract. Default action for this function is :send . To override default action see Execution Options in Ethers.Contract . Parameters holder: :address recipient: :address amount: {:uint, 256} overrides: Overrides and options for the call. See Execution Options in Ethers.Contract . Return Types :bool","ref":"Ethers.Contracts.ERC777.html#transfer_from/4","title":"Ethers.Contracts.ERC777.transfer_from/4","type":"function"},{"doc":"Same as transfer_from/4 but raises Ethers.ExecutionError on errors.","ref":"Ethers.Contracts.ERC777.html#transfer_from!/4","title":"Ethers.Contracts.ERC777.transfer_from!/4","type":"function"},{"doc":"Events for Ethers.Contracts.ENS","ref":"Ethers.Contracts.ENS.EventFilters.html","title":"Ethers.Contracts.ENS.EventFilters","type":"module"},{"doc":"Create event filter for ApprovalForAll(address owner, address operator, bool approved) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address operator: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address operator: :address approved: :bool","ref":"Ethers.Contracts.ENS.EventFilters.html#approval_for_all/3","title":"Ethers.Contracts.ENS.EventFilters.approval_for_all/3","type":"function"},{"doc":"See Ethers.Contracts.ENS.default_address/0 .","ref":"Ethers.Contracts.ENS.EventFilters.html#default_address/0","title":"Ethers.Contracts.ENS.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for NewOwner(bytes32 node, bytes32 label, address owner) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} label: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} label: {:bytes, 32} owner: :address","ref":"Ethers.Contracts.ENS.EventFilters.html#new_owner/3","title":"Ethers.Contracts.ENS.EventFilters.new_owner/3","type":"function"},{"doc":"Create event filter for NewResolver(bytes32 node, address resolver) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} resolver: :address","ref":"Ethers.Contracts.ENS.EventFilters.html#new_resolver/2","title":"Ethers.Contracts.ENS.EventFilters.new_resolver/2","type":"function"},{"doc":"Create event filter for NewTTL(bytes32 node, uint64 ttl) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} ttl: {:uint, 64}","ref":"Ethers.Contracts.ENS.EventFilters.html#new_ttl/2","title":"Ethers.Contracts.ENS.EventFilters.new_ttl/2","type":"function"},{"doc":"Create event filter for Transfer(bytes32 node, address owner) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters node: {:bytes, 32} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types node: {:bytes, 32} owner: :address","ref":"Ethers.Contracts.ENS.EventFilters.html#transfer/2","title":"Ethers.Contracts.ENS.EventFilters.transfer/2","type":"function"},{"doc":"Events for Ethers.Contracts.ERC1155","ref":"Ethers.Contracts.ERC1155.EventFilters.html","title":"Ethers.Contracts.ERC1155.EventFilters","type":"module"},{"doc":"Create event filter for ApprovalForAll(address account, address operator, bool approved) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters account: :address operator: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types account: :address operator: :address approved: :bool","ref":"Ethers.Contracts.ERC1155.EventFilters.html#approval_for_all/3","title":"Ethers.Contracts.ERC1155.EventFilters.approval_for_all/3","type":"function"},{"doc":"See Ethers.Contracts.ERC1155.default_address/0 .","ref":"Ethers.Contracts.ERC1155.EventFilters.html#default_address/0","title":"Ethers.Contracts.ERC1155.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for TransferBatch(address operator, address from, address to, uint256[] ids, uint256[] values) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address ids: {:array, {:uint, 256}} values: {:array, {:uint, 256}}","ref":"Ethers.Contracts.ERC1155.EventFilters.html#transfer_batch/4","title":"Ethers.Contracts.ERC1155.EventFilters.transfer_batch/4","type":"function"},{"doc":"Create event filter for TransferSingle(address operator, address from, address to, uint256 id, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address id: {:uint, 256} value: {:uint, 256}","ref":"Ethers.Contracts.ERC1155.EventFilters.html#transfer_single/4","title":"Ethers.Contracts.ERC1155.EventFilters.transfer_single/4","type":"function"},{"doc":"Create event filter for URI(string value, uint256 id) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters value: {:uint, 256} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types value: :string id: {:uint, 256}","ref":"Ethers.Contracts.ERC1155.EventFilters.html#uri/2","title":"Ethers.Contracts.ERC1155.EventFilters.uri/2","type":"function"},{"doc":"Events for Ethers.Contracts.ERC20","ref":"Ethers.Contracts.ERC20.EventFilters.html","title":"Ethers.Contracts.ERC20.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address spender, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address spender: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address spender: :address value: {:uint, 256}","ref":"Ethers.Contracts.ERC20.EventFilters.html#approval/3","title":"Ethers.Contracts.ERC20.EventFilters.approval/3","type":"function"},{"doc":"See Ethers.Contracts.ERC20.default_address/0 .","ref":"Ethers.Contracts.ERC20.EventFilters.html#default_address/0","title":"Ethers.Contracts.ERC20.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address value: {:uint, 256}","ref":"Ethers.Contracts.ERC20.EventFilters.html#transfer/3","title":"Ethers.Contracts.ERC20.EventFilters.transfer/3","type":"function"},{"doc":"Events for Ethers.Contracts.ERC721","ref":"Ethers.Contracts.ERC721.EventFilters.html","title":"Ethers.Contracts.ERC721.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address approved, uint256 tokenId) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address approved: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address approved: :address tokenId: {:uint, 256}","ref":"Ethers.Contracts.ERC721.EventFilters.html#approval/4","title":"Ethers.Contracts.ERC721.EventFilters.approval/4","type":"function"},{"doc":"Create event filter for ApprovalForAll(address owner, address operator, bool approved) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address operator: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address operator: :address approved: :bool","ref":"Ethers.Contracts.ERC721.EventFilters.html#approval_for_all/3","title":"Ethers.Contracts.ERC721.EventFilters.approval_for_all/3","type":"function"},{"doc":"See Ethers.Contracts.ERC721.default_address/0 .","ref":"Ethers.Contracts.ERC721.EventFilters.html#default_address/0","title":"Ethers.Contracts.ERC721.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 tokenId) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address tokenId: {:uint, 256}","ref":"Ethers.Contracts.ERC721.EventFilters.html#transfer/4","title":"Ethers.Contracts.ERC721.EventFilters.transfer/4","type":"function"},{"doc":"Events for Ethers.Contracts.ERC777","ref":"Ethers.Contracts.ERC777.EventFilters.html","title":"Ethers.Contracts.ERC777.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address spender, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address spender: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address spender: :address value: {:uint, 256}","ref":"Ethers.Contracts.ERC777.EventFilters.html#approval/3","title":"Ethers.Contracts.ERC777.EventFilters.approval/3","type":"function"},{"doc":"Create event filter for AuthorizedOperator(address operator, address tokenHolder) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address tokenHolder: :address","ref":"Ethers.Contracts.ERC777.EventFilters.html#authorized_operator/3","title":"Ethers.Contracts.ERC777.EventFilters.authorized_operator/3","type":"function"},{"doc":"Create event filter for Burned(address operator, address from, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contracts.ERC777.EventFilters.html#burned/3","title":"Ethers.Contracts.ERC777.EventFilters.burned/3","type":"function"},{"doc":"See Ethers.Contracts.ERC777.default_address/0 .","ref":"Ethers.Contracts.ERC777.EventFilters.html#default_address/0","title":"Ethers.Contracts.ERC777.EventFilters.default_address/0","type":"function"},{"doc":"Create event filter for Minted(address operator, address to, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address to: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contracts.ERC777.EventFilters.html#minted/3","title":"Ethers.Contracts.ERC777.EventFilters.minted/3","type":"function"},{"doc":"Create event filter for RevokedOperator(address operator, address tokenHolder) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address tokenHolder: :address","ref":"Ethers.Contracts.ERC777.EventFilters.html#revoked_operator/3","title":"Ethers.Contracts.ERC777.EventFilters.revoked_operator/3","type":"function"},{"doc":"Create event filter for Sent(address operator, address from, address to, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contracts.ERC777.EventFilters.html#sent/4","title":"Ethers.Contracts.ERC777.EventFilters.sent/4","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address overrides: Overrides and options for the call. address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address value: {:uint, 256}","ref":"Ethers.Contracts.ERC777.EventFilters.html#transfer/3","title":"Ethers.Contracts.ERC777.EventFilters.transfer/3","type":"function"},{"doc":"Execution Error Exception. The Exception struct will have these values: message : A human readable message for the exception. function : The contract function which caused the exception. args : The arguments for the function causing exception. error : The error reason for the exception.","ref":"Ethers.ExecutionError.html","title":"Ethers.ExecutionError","type":"exception"},{"doc":"Elixir Ethers is a comprehensive library for interacting with the Ethereum blockchain and its ecosystem. Heavily inspired by the ethers.js library, Elixir Ethers leverages macros to convert Ethereum contract ABIs into first-class Elixir modules during compile time, complete with documentation and type-specs.","ref":"readme.html","title":"Elixir Ethers","type":"extras"},{"doc":"You can install the package by adding ethers to the list of dependencies in your mix.exs file:: def deps do [ { :ethers , &quot;~&gt; 0.1.0&quot; } ] end The complete documentation is available on hexdocs .","ref":"readme.html#installation","title":"Elixir Ethers - Installation","type":"extras"},{"doc":"To use Elixir Ethers, ensure you have a configured JSON-RPC endpoint. Configure the endpoint using the following configuration parameter. # config.exs config :ethers , rpc_client : Ethereumex.HttpClient , # Defaults to: Ethereumex.HttpClient keccak_module : ExKeccak , # Defaults to: ExKeccak json_module : Jason # Defaults to: Jason # If using Ethereumex, you need to specify a JSON-RPC server url here config :ethereumex , url : &quot;[URL_HERE]&quot; You can use Cloudflare's Ethereum Gateway https://cloudflare-eth.com/v1/mainnet for the RPC URL. For more configuration options, refer to ethereumex . To send transactions, you need a wallet client capable of signing transactions and exposing a JSON-RPC endpoint.","ref":"readme.html#configuration","title":"Elixir Ethers - Configuration","type":"extras"},{"doc":"To use Elixir Ethers, you must have your contract's ABI, which can be obtained from etherscan.io . This library also supports standard contract interfaces such as ERC20 , ERC721 and some more (refer to built-in contracts in hex-doc). Create a module for your contract as follows: defmodule MyERC20Token do use Ethers.Contract , abi_file : &quot;path/to/abi.json&quot; , default_address : &quot;[Token address here (optional)]&quot; end Calling contract functions After defining the module, all the functions can be called like any other Elixir module. The documentation is also available giving the developer a first-class experience. iex&gt; MyERC20Token . balance_of ( &quot;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2&quot; ) { :ok , [ 654294510138460920346 ] } iex&gt; h MyERC20Token . balance_of def balance_of ( owner , overrides \\\\ [ ] ) @spec balance_of ( Ethers.Types . t_address ( ) , Keyword . t ( ) ) :: { :ok , [ non_neg_integer ( ) ] } | { :ok , Ethers.Types . t_hash ( ) } | { :ok , Ethers.Contract . t_function_output ( ) } | { :error , term ( ) } Executes balanceOf ( address _owner ) on the contract . Default action for this function is ` :call ` . To override default action see Execution Options in Ethers.Contract . ## Parameters • _owner : ` :address ` • overrides : Overrides and options for the call . See Execution Options in Ethers.Contract . ## Return Types • { :uint , 256 } Sending transaction Sending transactions is also straightforward, as Elixir Ethers automatically determines whether a function is a view function or a state-changing function, using eth_call or eth_sendTransaction accordingly. You can override this behavior with the :action override. Ensure that you specify a from option to inform your client which account to use: iex&gt; MyERC20Token . transfer ( &quot;0x[Recipient Address Here]&quot; , Ethers.Utils . to_wei ( 1 ) , from : &quot;0x[Your address here]&quot; ) { :ok , &quot;0xf313ff7ff54c6db80ad44c3ad58f72ff0fea7ce88e5e9304991ebd35a6e76000&quot; } Getting Logs (Events) Elixir Ethers provides functionality for creating event filters and fetching events from the RPC endpoint using eth_getLogs . Each contract in Ethers generates an EventFilters module (e.g. MyERC20Token.EventFilter s) that can be used to create filters for events. To create an event filter and use the Ethers.get_logs function, follow this example: iex&gt; filter = MyERC20Token.EventFilters . transfer ( &quot;0x[From Address Here]&quot; , nil ) Also nil can be used for a parameter in EventFilters functions to show that it should not be filtered. Then you can simply list the logs. iex&gt; Ethers . get_logs ( filter ) { :ok , [ % Ethers.Event { address : &quot;0x5883c66ca442461d406f330775d42954bfcf7d92&quot; , block_hash : &quot;0x83de67fd285067b838790406ea68f21a3afbc0ade534047725b5ccfb904c9ed3&quot; , block_number : 17077047 , topics : [ &quot;Transfer(address,address,uint256)&quot; , &quot;0x6b75d8af000000e20b7a7ddf000ba900b4009a80&quot; , &quot;0x230507f6a391ae5ac0ec124f1c5b8ce454fe3f3d&quot; ] , topics_raw : [ &quot;0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef&quot; , &quot;0x0000000000000000000000006b75d8af000000e20b7a7ddf000ba900b4009a80&quot; , &quot;0x000000000000000000000000230507f6a391ae5ac0ec124f1c5b8ce454fe3f3d&quot; ] , transaction_hash : &quot;0xaa6fb2e1bbb27f667e76b03e8cde23db694207e06b9aa810d4c20c1f109a58e5&quot; , transaction_index : 0 , data : [ 761112156078097834180608 ] , log_index : 0 , removed : false } , % Ethers.Event { ... } , ... ] }","ref":"readme.html#usage","title":"Elixir Ethers - Usage","type":"extras"},{"doc":"This project was not possible if it was not for the great :ex_abi library and its contributors. Also a special thanks to the authors and contributors of :ethereumex library.","ref":"readme.html#props","title":"Elixir Ethers - Props","type":"extras"},{"doc":"Apache License 2.0","ref":"readme.html#license","title":"Elixir Ethers - License","type":"extras"}]